PLaSK library

Loading...
Searching...
No Matches
Classes | Functions | Variables
wire3d Namespace Reference

## Classes
class | Glass

## Functions
| compute (sym)

## Variables
| axes
| level
| solver = Fourier3D("solver")
float | h_top = 0.1
float | L = 6.0
float | depth = 1.0
bool | symmetric = True
str | interp = 'fourier'
| provider = solver.outLightE
int | comp = 1
| size
| smooth
| dist
| factor
| method
| rect_top = geometry.Cuboid(depth, 0.25 if symmetric else 0.5, h_top, 'Glass')
| rect_bottom = geometry.Cuboid(depth, 0.25 if symmetric else 0.5, 1.5-h_top, 'Glass')
| stack = geometry.Stack3D(shift=-rect_bottom.height, back=0, **({'left':0} if symmetric else {'xcenter':0}))
| spacer = geometry.Cuboid(depth, L/2 if symmetric else L, 2., None)
| space
| geometry
| wavelength

## Function Documentation

## ◆ compute()

wire3d.compute | ( |  | sym | ) |

Definition at line 81 of file wire3d.py.

## Variable Documentation

## ◆ axes

wire3d.axes

Definition at line 17 of file wire3d.py.

## ◆ comp

int wire3d.comp = 1

Definition at line 43 of file wire3d.py.

## ◆ depth

float wire3d.depth = 1.0

Definition at line 31 of file wire3d.py.

## ◆ dist

wire3d.dist

Definition at line 49 of file wire3d.py.

## ◆ factor

wire3d.factor

Definition at line 51 of file wire3d.py.

## ◆ geometry

wire3d.geometry

Definition at line 77 of file wire3d.py.

## ◆ h_top

float wire3d.h_top = 0.1

Definition at line 29 of file wire3d.py.

## ◆ interp

str wire3d.interp = 'fourier'

Definition at line 36 of file wire3d.py.

## ◆ L

float wire3d.L = 6.0

Definition at line 30 of file wire3d.py.

## ◆ level

wire3d.level

Definition at line 18 of file wire3d.py.

## ◆ method

wire3d.method

Definition at line 60 of file wire3d.py.

## ◆ provider

wire3d.provider = solver.outLightE

Definition at line 40 of file wire3d.py.

## ◆ rect_bottom

wire3d.rect_bottom = geometry.Cuboid(depth, 0.25 if symmetric else 0.5, 1.5-h_top, 'Glass')

Definition at line 63 of file wire3d.py.

## ◆ rect_top

wire3d.rect_top = geometry.Cuboid(depth, 0.25 if symmetric else 0.5, h_top, 'Glass')

Definition at line 62 of file wire3d.py.

## ◆ size

wire3d.size

Definition at line 46 of file wire3d.py.

## ◆ smooth

wire3d.smooth

Definition at line 47 of file wire3d.py.

## ◆ solver

wire3d.solver = Fourier3D("solver")

Definition at line 26 of file wire3d.py.

## ◆ space

wire3d.space

Initial value:
1= geometry.Cartesian3D(stack,
2 back='periodic', front='periodic',
3 left='mirror' if symmetric else 'air', right='air',
4 bottom='air', top='air')

Definition at line 72 of file wire3d.py.

## ◆ spacer

wire3d.spacer = geometry.Cuboid(depth, L/2 if symmetric else L, 2., None)

Definition at line 69 of file wire3d.py.

## ◆ stack

wire3d.stack = geometry.Stack3D(shift=-rect_bottom.height, back=0, **({'left':0} if symmetric else {'xcenter':0}))

Definition at line 65 of file wire3d.py.

## ◆ symmetric

bool wire3d.symmetric = True

Definition at line 34 of file wire3d.py.

## ◆ wavelength

wire3d.wavelength

Definition at line 79 of file wire3d.py.